#!/bin/sh

if [ -f "$1" ]; then
    cur_board=`factory board`
    case "$cur_board"  in
        "IPA-ER-010")           board_type="IPA-ER-01x";;
        "IPA-ER-011")           board_type="IPA-ER-01x";;
        "IPA-ER-01x")           board_type="IPA-ER-01x";;
    esac

    if [ -z "$board_type" ]; then
        echo "UPGRADE FAIL: wrong factory settings"
        exit 0;
    fi

    fmw_type=`cat $1`
    if [ "$fmw_type" != "$board_type" ]; then
        echo "UPGRADE FAIL: firmware for $fmw_type but board is $cur_board"
        exit 0;
    fi
fi

exit 1;
